Index: /trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 142)
@@ -1,28 +1,32 @@
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;       GETFILE
-; PURPOSE:
-;       Read a text file into a string array.
-; CATEGORY:
-; CALLING SEQUENCE:
-;       s = getfile(f)
-; INPUTS:
-;       f = text file name.      in
-; KEYWORD PARAMETERS:
-;       Keywords:
-;         ERROR=err  error flag: 0=ok, 1=file not opened,
-;           2=no lines in file.
-;         /QUIET means give no error message.
-;         LINES=n  Number of lines to read (def=all).
-;           Much faster if number of lines is known.
-;           Automatic for IDL 5.6 or later.
-;         /FIND search te file in the all !path directories (use
-;         find.pro)
-; OUTPUTS:
-;       s = string array.        out
-; COMMON BLOCKS:
-; NOTES:
-; MODIFICATION HISTORY:
+;
+; @file_comments
+; Read a text file into a string array.
+;
+; @param filein {in}{required}
+; text file name.
+; 
+; @Keyword ERROR
+; =err  error flag: 0=ok, 1=file not opened,
+; 2=no lines in file.
+;         
+; @keyword QUIET 
+; means give no error message.
+;         
+; @keyword LINES
+; =n  Number of lines to read (def=all).
+; Much faster if number of lines is known.
+; Automatic for IDL 5.6 or later.
+;         
+; @keyword FIND 
+; search te file in the all !path directories (use
+; find.pro)
+;
+; @keyword HELP
+; 
+; @returns
+; 
+; @history
 ;       R. Sterner, 20 Mar, 1990
 ;       R. Sterner, 1999 Apr 14 --- Added LINES=n keyword.
@@ -42,4 +46,8 @@
 ; routine is provided as is without any express or implied warranties
 ; whatsoever.  Other limitations apply as described in the file disclaimer.txt.
+;
+; @version
+; $Id$
+;
 ;-
 ;-------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/STRING/getwrd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 142)
@@ -1,38 +1,52 @@
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;       GETWRD
-; PURPOSE:
-;       Return the n'th word from a text string.
-; CATEGORY:
-; CALLING SEQUENCE:
-;       wrd = getwrd(txt, n, [m])
-; INPUTS:
-;       txt = text string to extract from.         in
-;         The first element is used if txt is an array.
-;       n = word number to get (first = 0 = def).  in
-;       m = optional last word number to get.      in
-; KEYWORD PARAMETERS:
-;       Keywords:
-;         LOCATION = l.  Return word n string location.
-;         DELIMITER = d. Set word delimiter (def = space & tab).
-;         /LAST means n is offset from last word.  So n=0 gives
-;           last word, n=-1 gives next to last, ...
-;           If n=-2 and m=0 then last 3 words are returned.
-;         /NOTRIM suppresses whitespace trimming on ends.
-;         NWORDS=n.  Returns number of words in string.
-; OUTPUTS:
-;       wrd = returned word or words.              out
-; COMMON BLOCKS:
-;       getwrd_com
-; NOTES:
-;       Note: If a NULL string is given (txt="") then the last string
-;             given is used.  This saves finding the words again.
-;             If m > n wrd will be a string of words from word n to
-;             word m.  If no m is given wrd will be a single word.
-;             n<0 returns text starting at word abs(n) to string end
-;             If n is out of range then a null string is returned.
-;             See also nwrds.
-; MODIFICATION HISTORY:
+;
+; @file_comments
+; Return the n'th word from a text string.
+; 
+; @categories
+;
+; @param TXTSTR {in}{required}
+; text string to extract from.
+; The first element is used if txt is an array.
+;
+; @param NTH {in}{required}
+; word number to get (first = 0 = def)
+;
+; @param MTH {in}{required}
+; optional last word number to get.
+;
+; @keyword LOCATION
+; = l.  Return word n string location.
+;         
+; @keyword DELIMITER
+; = d. Set word delimiter (def = space & tab).
+;         
+; @keyword LAST
+; means n is offset from last word.  So n=0 gives
+; last word, n=-1 gives next to last, ...
+; If n=-2 and m=0 then last 3 words are returned.
+;
+; @keyword NOTRIM
+; suppresses whitespace trimming on ends.
+; 
+; @keyword NWORDS
+; = n. Returns number of words in string.
+; 
+; @returns wrd = returned word or words.
+;
+; @uses
+; getwrd_com
+; 
+; @restrictions
+; If a NULL string is given (txt="") then the last string
+; given is used.  This saves finding the words again.
+; If m > n wrd will be a string of words from word n to
+; word m.  If no m is given wrd will be a single word.
+; n<0 returns text starting at word abs(n) to string end
+; If n is out of range then a null string is returned.
+; See also nwrds.
+;
+; @history
 ;       Ray Sterner,  6 Jan, 1985.
 ;       R. Sterner, Fall 1989 --- converted to SUN.
@@ -51,4 +65,8 @@
 ; routine is provided as is without any express or implied warranties
 ; whatsoever.  Other limitations apply as described in the file disclaimer.txt.
+;
+; @version
+; $Id$
+;
 ;-
 ;-------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/STRING/isnumber.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/isnumber.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/isnumber.pro	(revision 142)
@@ -1,17 +1,20 @@
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;       ISNUMBER
-; PURPOSE:
-;       Determine if a text string is a valid number.
-; CATEGORY:
-; CALLING SEQUENCE:
-;       i = isnumber(txt, [x])
-; INPUTS:
-;       txt = text string to test.                      in
-; KEYWORD PARAMETERS:
-; OUTPUTS:
-;       x = optionaly returned numeric value if valid.  out
-;       i = test flag:                                  out
+;
+; @file_comments
+; Determine if a text string is a valid number.
+;
+; @categories
+;
+; @param TXT0 {in}{required}
+; text string to test.
+;
+; @param X {in}{required}
+;
+; @keyword HELP
+;
+; @returns
+;       x = optionaly returned numeric value if valid.  
+;       i = test flag:                                  
 ;           0: not a number.
 ;           1: txt is a long integer.
@@ -19,7 +22,6 @@
 ;           -1: first word of txt is a long integer.
 ;           -2: first word of txt is a float.
-; COMMON BLOCKS:
-; NOTES:
-; MODIFICATION HISTORY:
+; 
+; @history
 ;       R. Sterner.  15 Oct, 1986.
 ;       Johns Hopkins Applied Physics Lab.
@@ -33,4 +35,8 @@
 ; routine is provided as is without any express or implied warranties
 ; whatsoever.  Other limitations apply as described in the file disclaimer.txt.
+;
+; @version
+; $Id$
+;
 ;-
 ;-------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/STRING/lenstr.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/lenstr.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/lenstr.pro	(revision 142)
@@ -24,5 +24,8 @@
 ;           Institute for Computational Earth System Science
 ;           University of California, Santa Barbara
-;-
+;
+; @todo seb 
+;
+;;-
 
 function lenstr,str
Index: /trunk/SRC/ToBeReviewed/STRING/nwrds.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/nwrds.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/nwrds.pro	(revision 142)
@@ -1,22 +1,25 @@
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;       NWRDS
-; PURPOSE:
-;       Return the number of words in the given text string.
-; CATEGORY:
-; CALLING SEQUENCE:
-;       n = nwrds(txt)
-; INPUTS:
-;       txt = text string to examine.             in
-; KEYWORD PARAMETERS:
-;       Keywords:
-;         DELIMITER = d.  Set delimiter character (def = space).
-; OUTPUTS:
-;       n = number of words found.                out
-; COMMON BLOCKS:
-; NOTES:
-;       Notes: See also getwrd.
-; MODIFICATION HISTORY:
+;
+; @file_comments
+; Return the number of words in the given text string.
+; 
+; @categories
+;
+; @param TXTSTR
+; = text string to examine.
+;
+; @keyword DELIMITER
+; = d.  Set delimiter character (def = space).
+; 
+; @keyword HELP
+;
+; @returns
+; n = number of words found.
+; 
+; @restrictions
+; See also getwrd.
+; 
+; @history
 ;       R. Sterner,  7 Feb, 1985.
 ;       Johns Hopkins University Applied Physics Laboratory.
@@ -28,4 +31,8 @@
 ; routine is provided as is without any express or implied warranties
 ; whatsoever.  Other limitations apply as described in the file disclaimer.txt.
+;
+; @version
+; $Id$
+;
 ;-
 ;-------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/STRING/putfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/putfile.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/putfile.pro	(revision 142)
@@ -1,21 +1,21 @@
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;       PUTFILE
-; PURPOSE:
-;       Write a text file from a string array.
-; CATEGORY:
-; CALLING SEQUENCE:
-;       putfile, f, s
+;
+; @file_comments
+; Write a text file from a string array.
+; 
+; @categories
+;
 ; INPUTS:
-;       f = text file name.      in
-;       s = string array.        in
-; KEYWORD PARAMETERS:
-;       Keywords:
-;         ERROR=err  error flag: 0=ok, 1=invalid string array.
-; OUTPUTS:
-; COMMON BLOCKS:
-; NOTES:
-; MODIFICATION HISTORY:
+; @param FILE {in}{required}
+; = text file name.
+;
+; @param S {in}{required}
+; = string array.
+;
+; @keyword ERROR
+; =err  error flag: 0=ok, 1=invalid string array.
+; 
+; @history
 ;       R. Sterner, 20 Mar, 1990
 ;       R. Sterner,  4 Nov, 1992 --- allowed scalar strings.
@@ -26,4 +26,8 @@
 ; routine is provided as is without any express or implied warranties
 ; whatsoever.  Other limitations apply as described in the file disclaimer.txt.
+;
+; @version
+; $Id$
+;
 ;-
 ;-------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/STRING/str_size.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 142)
@@ -1,64 +1,54 @@
+;+
+;
+; @file_comments
+; The purpose of this function is to return the proper
+; character size to make a specified string a specifed
+; width in a window. The width is specified in normalized
+; coordinates. The function is extremely useful for sizing
+; strings and labels in resizeable graphics windows.
+;
+; @categories
+; Graphics Programs, Widgets.
+;
+; @param STRING {in}{required}
+; This is the string that you want to make a specifed
+; target size or width.
+;
+; @param TARGETWIDTH {in}{optional}
+; This is the target width of the string in normalized
+; coordinates in the current graphics window. The character
+; size of the string (returned as thisCharSize) will be
+; calculated to get the string width as close as possible to
+; the target width. The default is 0.25.
+;
+; @keyword INITSIZE  
+; This is the initial size of the string. Default is 1.0.
+;
+; @keyword STEP
+; This is the amount the string size will change in each step
+; of the interative process of calculating the string size.
+; The default value is 0.05.
+;
+; @returns 
+; thisCharSize. This is the size the specified string should be set
+; to if you want to produce output of the specified target
+; width. The value is in standard character size units where
+; 1.0 is the standard character size.
+;
+; @examples
+; To make the string "Happy Holidays" take up 30% of the width of
+; the current graphics window, type this:
+;
+;   XYOUTS, 0.5, 0.5, ALIGN=0.5, "Happy Holidays", $
+;   CHARSIZE=STR_SIZE("Happy Holidays", 0.3)
+;
+; @history
+; Written by: David Fanning, 17 DEC 96.
+; Added a scaling factor to take into account the aspect ratio
+; of the window in determing the character size. 28 Oct 97. DWF
+;
+; @version
 ; $Id$
-;+
-; NAME:
-;  STR_SIZE
 ;
-; PURPOSE:
-;
-;  The purpose of this function is to return the proper
-;  character size to make a specified string a specifed
-;  width in a window. The width is specified in normalized
-;  coordinates. The function is extremely useful for sizing
-;  strings and labels in resizeable graphics windows.
-;
-; CATEGORY:
-;
-;  Graphics Programs, Widgets.
-;
-; CALLING SEQUENCE:
-;
-;  thisCharSize = STR_SIZE(thisSting, targetWidth)
-;
-; INPUTS:
-;
-;  thisString:  This is the string that you want to make a specifed
-;     target size or width.
-;
-; OPTIONAL INPUTS:
-;
-;  targetWidth:  This is the target width of the string in normalized
-;     coordinates in the current graphics window. The character
-;     size of the string (returned as thisCharSize) will be
-;     calculated to get the string width as close as possible to
-;     the target width. The default is 0.25.
-;
-; KEYWORD PARAMETERS:
-;
-;  INITSIZE:  This is the initial size of the string. Default is 1.0.
-;
-;  STEP:   This is the amount the string size will change in each step
-;     of the interative process of calculating the string size.
-;     The default value is 0.05.
-;
-; OUTPUTS:
-;
-;  thisCharSize:  This is the size the specified string should be set
-;     to if you want to produce output of the specified target
-;     width. The value is in standard character size units where
-;     1.0 is the standard character size.
-;
-; EXAMPLE:
-;
-;  To make the string "Happy Holidays" take up 30% of the width of
-;  the current graphics window, type this:
-;
-;               XYOUTS, 0.5, 0.5, ALIGN=0.5, "Happy Holidays", $
-;        CHARSIZE=STR_SIZE("Happy Holidays", 0.3)
-;
-; MODIFICATION HISTORY:
-;
-;  Written by: David Fanning, 17 DEC 96.
-;  Added a scaling factor to take into account the aspect ratio
-;     of the window in determing the character size. 28 Oct 97. DWF
 ;-
 
Index: /trunk/SRC/ToBeReviewed/STRING/string2struct.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 142)
@@ -11,35 +11,22 @@
 
 ;+
-; NAME:
-;       stringToStructure
 ;
-; PURPOSE:
-;       Takes an input string set up as keywords and returns an anonymous structure.
-;               This is particularly useful for taking keywords entered by a user in a text
-;               field and passing then to other routines.
+; @file_comments
+; Takes an input string set up as keywords and returns an anonymous structure.
+; This is particularly useful for taking keywords entered by a user in a text
+; field and passing then to other routines.
 ;
-; CATEGORY:
-;       Utility
+; @categories
+; Utility
 ;
-; CALLING SEQUENCE:
-;       extra=stringToStructure('xrange=[0,10],linestyle=2')
-;       plot,findgen(100),_extra=extra
+; @param STRVAL {IN}{REQUIRED}
+; String set up as keywords. Keywords require a little special treatment. Such as
+; plot,findgen(100),_extra=stringToStructure('title="testing"')
 ;
-; INPUTS:
-;       String set up as keywords. Keywords require a little special treatment. Such as
-;       plot,findgen(100),_extra=stringToStructure('title="testing"')
+; @RETURNS 
+; This function returns the string as an anonymous structure. If an
+; error was found then this function returns a structure with a null field.
 ;
-; KEYWORD PARAMETERS:
-;
-;       None
-;
-; OUTPUTS:
-;       This function returns the string as an anonymous structure. If an
-;       error was found then this function returns a structure with a null field.
-;
-; COMMON BLOCKS:
-;       None.
-;
-; EXAMPLE:
+; @examples
 ;       The code below creates a widget that uses this routine.
 ;       pro tPlot,event
@@ -62,5 +49,5 @@
 ;       end
 ;
-; MODIFICATION HISTORY:
+; @history
 ;       Written by:
 ;       RLK, Ronn Kling Consulting.
@@ -68,4 +55,8 @@
 ;       www.rlkling.com
 ;               May, 1999
+;
+; @version
+; $Id$
+;
 ;-
 
Index: /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro	(revision 142)
@@ -3,46 +3,31 @@
 ;------------------------------------------------------------
 ;+
-; NAME: strkeywd (string keywords)
 ;
-; PURPOSE: traduit une sturcture en un string pouvant etre utilise
-; pour specifier des keywords ds l''appelle d''une fonction qd on
-; utilise execute (cf l''exemple)
+; @file_comments
+; Translate a sturcture in a string able to be used to specify keywords 
+; in the calling of a function when we use EXECUTE (see example)
 ;
-; CATEGORY: pour passer des mots cles avec execute !
+; @categories 
+; 
+; @param STRUCT
+; a structure
 ;
-; CALLING SEQUENCE:res=strkeywd(struct)
-; 
-; INPUTS:struct: une structure
+; @returns
+; a string composed like following:
+; For each element of the structure, we write a part of the string as: 
+;         'name_of_the_element=content_of_the_element'
 ;
-; KEYWORD PARAMETERS:
+; @restrictions
+; If an element of the structure contain an array, it will be convert in a vector.
 ;
-; OUTPUTS:un string compose de la facon suivante:
-;         pour chaque element de la structure, on ecrit une partie du
-;         string sous la forme: 
-;         'nom_de_l''element=contennu de l''element'
+; @restrictions
+; Beware, this function has loops, ifs ad cases everywhere. So it can 
+; not be used by big keywords (with a lot of elements which are big 
+; arrays). The input keyword must not contain Complex floatings, structure, 
+; Double-precision complex, Pointer, Object reference, Unsigned Integer, 
+; Unsigned Longword Integer, 64-bit Integer or Unsigned 64-bit Integer.
 ;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:
-;
-;   Si un element de la structure contient un tableau, il sera
-;   convertit en vecteur.
-;
-; RESTRICTIONS:
-;
-;   attention cette fonction comporte des boucles, des if et des cases
-;   ds tous les sens. Elle ne doit donc pas etre utilisee avec des
-;   structure de grosse taille (avec bcp d''elements et avec des
-;   elements etant de gros tableaux).
-;   la structure en entree ne doit pas contenir de Complex floating, de
-;   structure, de Double-precision complex, de Pointer, de Object
-;   reference, de Unsigned Integer, de Unsigned Longword Integer, de
-;   64-bit Integer, de Unsigned 64-bit Integer	
-;
-;
-;
-; EXAMPLE:
-;
-; on cree une structure
+; @examples
+; We create a structure
 ;       IDL> b=get_extra(ok=111, year=[1997,1998,1999], age_capitaine=35)
 ;       IDL> help, b,/struct
@@ -51,10 +36,9 @@
 ;          OK              INT            111
 ;          YEAR            INT       Array[3]
-; on met cette structure sous forme de string
+; We put this structure as a string
 ;       IDL> a=strkeywd(b)
 ;       IDL> print, a
 ;       AGE_CAPITAINE=35, OK=111, YEAR=[1997,1998,1999]
-; maintenant on peut utiliser le string a pour passer des mots cles ds
-; une fonction a l''aide de execute!!
+; Now we can use the string a to pass keywords in a function thanks to execute!!
 ;       IDL> test=execute('c=get_extra('+a+')')
 ;       IDL> help, c,/struct
@@ -64,6 +48,11 @@
 ;          YEAR            INT       Array[3]
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      11/10/1999
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/STRING/strrepl.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strrepl.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/strrepl.pro	(revision 142)
@@ -1,40 +1,25 @@
-; $Id$
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;        STRREPL (function)
 ;
-; PURPOSE:
-;        replace one (or more) character(s)/string(s) in a string
+; @file_comments 
+; replace one (or more) character(s)/string(s) in a string
 ;
-; CATEGORY:
-;        string routines
+; @categories
+; string routines
 ;
-; CALLING SEQUENCE:
-;        Result = STRREPL(str, index, rchar)
+; @param STR {in}{required}
+; the string to be changed
 ;
-; INPUTS:
-;        STR -> the string to be changed
+; @param RCHAR {in}{required}
+; replacement character/string
 ;
-;        INDEX -> position of the character(s) to be replaced or a
-;        string to be changed in STR.
+; @returns
+; another string
 ;
-;        RCHAR -> replacement character/string
+; @restrictions 
+; Known shortcoming: if index is an array, it must contain all
+; valid elements (only the first entry is checked).
 ;
-; KEYWORD PARAMETERS: none
-;
-;
-; OUTPUTS:
-;        another string
-;
-; SUBROUTINES:
-;
-; REQUIREMENTS:
-;
-; NOTES:
-;        Known shortcoming: if index is an array, it must contain all
-;        valid elements (only the first entry is checked).
-;
-; EXAMPLE:
+; @examples
 ;        ; Convert one letter into upper case
 ;
@@ -58,7 +43,10 @@
 ;       abcabcabc
 ;
-; MODIFICATION HISTORY:
+; @history
 ;        mgs, 02 Jun 1998: VERSION 1.00
 ;        sebastien Masson (smlod@ipsl.jussieu.fr)
+;
+; @version
+; $Id$
 ;
 ;-
Index: /trunk/SRC/ToBeReviewed/STRING/strright.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strright.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/strright.pro	(revision 142)
@@ -1,40 +1,30 @@
-; $Id$
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;        STRRIGHT
 ;
-; PURPOSE:
-;        return right subportion from a string
+; @file_comments
+; return right subportion from a string
 ;
-; CATEGORY:
-;        string handling 
+; @categories
+; string handling 
+; 
+; @param S {in}{required}
+; the string to be searched
 ;
-; CALLING SEQUENCE:
-;        res = STRRIGHT(string [,nlast])
+; @param LASTN {in}{required}
+; the number of characters to be returned. Default
+; is 1. If NLAST is ge strlen(STRING), the complete string
+; is returned.
 ;
-; INPUTS:
-;        STRING --> the string to be searched
+; @returns
+; The portion of LASTN characters of S counted from the back.
 ;
-;        NLAST --> the number of characters to be returned. Default
-;           is 1. If NLAST is ge strlen(STRING), the complete string
-;           is returned.
+; @examples
+; if (strright(path) ne '/') then path = path + '/'
 ;
-; KEYWORD PARAMETERS:
+; @history
+;        mgs, 19 Nov 1997: VERSION 1.00
 ;
-; OUTPUTS:
-;        The portion of NLAST characters of STRING counted from the back.
-;
-; SUBROUTINES:
-;
-; REQUIREMENTS:
-;
-; NOTES:
-;
-; EXAMPLE:
-;        if (strright(path) ne '/') then path = path + '/'
-;
-; MODIFICATION HISTORY:
-;        mgs, 19 Nov 1997: VERSION 1.00
+; @version
+; $Id$
 ;
 ;-
Index: /trunk/SRC/ToBeReviewed/STRING/strsci.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 142)
@@ -1,54 +1,43 @@
-; $Id$
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;        STRSCI (function)
 ;
-; PURPOSE:                                                 
-;        Given a number, returns a string of that          B
-;        number in scientific notation format ( e.g. A x 10  )
+; @file_comments
+; Given a number, returns a string of that          B
+; number in scientific notation format ( e.g. A x 10  )
 ;
-; CATEGORY:
-;        String Utilities
+; @categories
+; String Utilities
 ;
-; CALLING SEQUENCE:
-;        Result = STRSCI( DATA [,keywords] )
+; @param DATA {in}{required}
+; A floating point or integer number to be
+; converted into a power of 10.
 ;
-; INPUTS:
-;        DATA      -> A floating point or integer number to be
-;                     converted into a power of 10.
+; @keyword FORMAT
+; The format specification used in the string
+; conversion for the mantissa (i.e. the
+; "A" of "A x 10^B").  Default is '(f12.2)'.  
 ;
-; KEYWORD PARAMETERS:
-;        FORMAT    -> The format specification used in the string
-;                     conversion for the mantissa (i.e. the
-;                     "A" of "A x 10^B").  Default is '(f12.2)'.  
+; @keyword POT_ONLY
+; Will return only the "power of 10" part of the
+; string (i.e. the "10^B").  Default is to return
+; the entire string (e.g. "A x 10^B" )
 ;
-;        /POT_ONLY -> Will return only the "power of 10" part of the
-;                     string (i.e. the "10^B").  Default is to return
-;                     the entire string (e.g. "A x 10^B" )
+; @keyword MANTISSA_ONLY
+; return only mantissa of the string
 ;
-;        /MANTISSA_ONLY -> return only mantissa of the string
+; @keyword SHORT
+; return 10^0 as '1' and 10^1 as '10'
 ;
-;        /SHORT -> return 10^0 as '1' and 10^1 as '10'
+; @keyword TRIM
+; don't insert blanks (i.e. return Ax10^B)
 ;
-;        /TRIM -> don't insert blanks (i.e. return Ax10^B)
+; @restrictions
+; This function does not "evaluate" the format statement thoroughly
+; which can result in somewhat quirky strings. Example:
+; print,strsci(-9.999) results in -10.0x10^0 instead of -1.0x10^1.
 ;
-; OUTPUTS:
-;        None
+; Need a better symbol than the 'x' for the multiplier...
 ;
-; SUBROUTINES:
-;        None
-;
-; REQUIREMENTS:
-;        None
-;
-; NOTES:
-;        This function does not "evaluate" the format statement thoroughly
-;        which can result in somewhat quirky strings. Example:
-;        print,strsci(-9.999) results in -10.0x10^0 instead of -1.0x10^1.
-;
-;        Need a better symbol than the 'x' for the multiplier...
-;
-; EXAMPLE:
+; @examples
 ;        Result = STRSCI( 2000000, format='(i1)' )
 ;        print, result                
@@ -67,5 +56,5 @@
 ; 
 ;
-; MODIFICATION HISTORY:
+; @history
 ;        bmy, 28 May 1998: VERSION 1.00            B
 ;           - now returns string of the form A x 10
@@ -89,4 +78,7 @@
 ;           - can now also handle values lt 1 ;-)
 ;           - and doesn't choke on arrays
+;
+; @version
+; $Id$
 ;
 ;-
Index: /trunk/SRC/ToBeReviewed/STRING/strtok.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 142)
@@ -1,30 +1,35 @@
 ;
 ;+
-; NAME:
-;       STRTOK
-; PURPOSE:
-;       Retrieve portion of string up to token.
-; CATEGORY:
-;       text/strings
-; CALLING SEQUENCE:
-;       new = strtok( old, token )
-; INPUTS:
-;       old   -- String to be split.  Contains text after    in, out
-;                token on output.
-;       token -- Token to use in splitting old.              in
-; KEYWORD PARAMETERS:
-;       /TRIM -- set to remove leading blanks from old 
-;                before returning.
-;       /HELP -- print useful message and exit.
-; OUTPUTS:
-;       new   -- portion of string up to token.              out
-;       old   -- portion of old after token.                 out, in
-; COMMON BLOCKS:
-; SIDE EFFECTS:
-;       Input parameter old is modified.
-; NOTES:
-;       Token may be one or more characters.
-;       If token is not found, returns old and sets old to ''.
-; EXAMPLE:
+;
+; @file_comments
+; Retrieve portion of string up to token.
+; 
+; @categories
+; text/strings
+;
+; @param STRING {in}{required}
+; String to be split.  Contains text after    in, out
+; token on output.
+; 
+; @param TOKEN {in}{required}
+; Token to use in splitting old.       
+;
+; @keyword TRIM 
+; set to remove leading blanks from old 
+; before returning.
+;
+; @keyword HELP
+; print useful message and exit.
+; 
+; @returns
+; new   -- portion of string up to token.              out
+; old   -- portion of old after token.                 out, in
+;
+; @restrictions
+; Input parameter old is modified.
+; Token may be one or more characters.
+; If token is not found, returns old and sets old to ''.
+; 
+; @examples
 ;       If old is 'foo44 bar', then strtok( old, '44' ) would return
 ;       'foo', and upon return, old will be left with ' bar'.  If /TRIM
@@ -33,9 +38,6 @@
 ;       If old='xyz', then new=strtok(old,'a') would return with
 ;       new='xyz' and old=''.
-; THANKS:
-;       To D. Linder who wrote GETTOK, part of the goddard library,
-;       upon which this is based.
-; MODIFICATION HISTORY:
-;       $Id$
+;
+; @history
 ;       $Log: strtok.pro,v $
 ;       Revision 1.3  1996/06/14 20:00:27  mcraig
@@ -48,12 +50,20 @@
 ;       Initial revision
 ;
-; RELEASE:
+; Thanks:
+;       To D. Linder who wrote GETTOK, part of the goddard library,
+;       upon which this is based.
+;
+; Release:
 ;       $Name: Rel_1_2 $
 ;
-; COPYRIGHT:
+; Copyright:
 ;  Copyright (C) 1996 The Regents of the University of California, All
 ;  Rights Reserved.  Written by Matthew W. Craig.
 ;  See the file COPYRIGHT for restrictions on distrubting this code.
 ;  This code comes with absolutely NO warranty; see DISCLAIMER for details.
+;
+; @version
+; $Id$
+;
 ;-
 FUNCTION Strtok, string, token, $
Index: /trunk/SRC/ToBeReviewed/STRING/strwhere.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strwhere.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/strwhere.pro	(revision 142)
@@ -1,48 +1,36 @@
-; $Id$
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;        STRWHERE  (function)
 ;
-; PURPOSE:
-;        return position *array* for occurence of a character in
-;        a string
+; @file_comments
+; return position *array* for occurence of a character in a string
 ;
-; CATEGORY:
-;        string tools
+; @categories
+; string tools
 ;
-; CALLING SEQUENCE:
-;        pos = STRWHERE(str, schar [,Count] )
+; @param STR {in}{required}
+; the string
 ;
-; INPUTS:
-;        STR -> the string
+; @param SCHAR {in}{required}
+; the character to look for
 ;
-;        SCHAR -> the character to look for
+; @returns COUNT {out}{optional}
+; The number of matches that were found 
 ;
-; KEYWORD PARAMETERS:
-;        none.
+;  The function returns an index array similar to the 
+;  result of the where function
 ;
-; OUTPUTS:
-;        COUNT -> (optional) The number of matches that were found 
-;
-;        The function returns an index array similar to the 
-;        result of the where function
-;
-; SUBROUTINES:
-;
-; REQUIREMENTS:
-;
-; NOTES:
-;
-; EXAMPLE:
+; @examples
 ;        ind = strwhere('abcabcabc','a')
 ;
 ;        ; returns [ 0, 3, 6 ]
 ;
-; MODIFICATION HISTORY:
+; @history
 ;        mgs, 02 Jun 1998: VERSION 1.00
 ;        bmy, 30 Jun 1998: - now returns COUNT, the number 
 ;                            of matches that are found (this is
 ;                            analogous to the WHERE command)
+;
+; @version
+; $Id$
 ;
 ;-
